Package ru.bitel.bgbilling.kernel.network.dhcp

# Class DhcpProcessor<D extends Idable>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.network.processor.Processor
ru.bitel.bgbilling.kernel.network.dhcp.DhcpProcessor<D>

public abstract class DhcpProcessor<D extends Idable> extends ru.bitel.bgbilling.kernel.network.processor.Processor

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `mid`
  `protected final String`
  `module`
  `final int`
  `sendFix`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.processor.Processor

  `applicationId, moduleId, setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DhcpProcessor(Setup setup, String module, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `processRequest(DhcpListenerWorker<D> req, SocketAddress clientAddress, DhcpPacket request)`
  `void`
  `writeLog(DhcpListenerWorker<D> req, int[] requestPositions, int[] responsePositions, long now)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### module

    protected final String module

  - ### mid

    protected final int mid

  - ### sendFix

    public final int sendFix

- ## Constructor Details

  - ### DhcpProcessor

    public DhcpProcessor(Setup setup, String module, int mid)

- ## Method Details

  - ### processRequest

    public abstract void processRequest(DhcpListenerWorker<D> req, SocketAddress clientAddress, DhcpPacket request) throws Exception
    Throws:
      `Exception`

  - ### writeLog

    public void writeLog(DhcpListenerWorker<D> req, int[] requestPositions, int[] responsePositions, long now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`